You are not logged in.

#1 2023-01-05 22:33:02

jghodd
Member
From: Jetersville, VA
Registered: 2019-07-14
Posts: 54

kdepim-runtime still has a dependency on non-existent package

Many kde time management apps, like korganizer, knotes, kaddressbook, etc, require kdepim-runtime as a dependency, but kdepim-runtime stilll has a dependency on kalarmcal, which no longer exists. This info dump is actually on the version in staging which I installed assuming the dependency was resolved (this issue exists in the current official version). It wasn't. Note the existence of kalarmcal in the list of dependencies.

pacman -Qi kdepim-runtime
Name            : kdepim-runtime
Version         : 21.12.3-1.0
Description     : Extends the functionality of kdepim
Architecture    : i686
URL             : https://kontact.kde.org
Licenses        : GPL  LGPL  FDL
Groups          : None
Provides        : None
Depends On      : libkolabxml  kdav  akonadi-calendar  knotifyconfig  kalarmcal  kmbox  pimcommon  akonadi-notes  akonadi  qca-qt5  qt5-networkauth
Optional Deps   : libetebase: EteSync resource [installed]
Required By     : kaddressbook  knotes  korganizer
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 13.57 MiB
Packager        : Andreas Baumann <mail@andreasbaumann.cc>
Build Date      : Thu 03 Mar 2022 11:41:28 PM EST
Install Date    : Wed 04 Jan 2023 09:05:17 PM EST
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : SHA-256 Sum

I'd go ahead and rebuild it, but I'm getting a build error:

-- Found Gettext: /usr/bin/msgmerge (found version "0.21.1") 
CMake Error at CMakeLists.txt:139 (find_package):
  Could not find a configuration file for package "KF5Akonadi" that is
  compatible with requested version "5.22.1".

  The following configuration files were considered but not accepted:

    /usr/lib/cmake/KF5Akonadi/KF5AkonadiConfig.cmake, version: 5.21.2
    /lib/cmake/KF5Akonadi/KF5AkonadiConfig.cmake, version: 5.21.2



-- Configuring incomplete, errors occurred!
See also "/home/bslx/repository/kdepim-runtime/tmp/src/build/CMakeFiles/CMakeOutput.log".
See also "/home/bslx/repository/kdepim-runtime/tmp/src/build/CMakeFiles/CMakeError.log".
==> ERROR: A failure occurred in build().
    Aborting...

so... akonadi?

Last edited by jghodd (2023-01-05 22:43:43)

Offline

#2 2023-01-08 09:27:16

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 846
Website

Re: kdepim-runtime still has a dependency on non-existent package

Yes, akoniadi, but also libetebase (which is a C library using rust to build!? or is a C wrapper on a rust library, of course, and rust is currently again completely not up to date) is missing.. I'm on it.. :-)
Maybe that one can be patched out.
Gnome and KDE are always very brittle as they have thousands of dependencies and one of them surely breaks.. :-)

Offline

#3 2023-01-08 11:55:11

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 846
Website

Re: kdepim-runtime still has a dependency on non-existent package

akonadi-calendar, prison:

/usr/bin/ld: warning: libZXing.so.1, needed by /usr/lib/libKF5Prison.so.5, not found (try using -rpath or -rpath-link)
/usr/bin/ld: /usr/lib/libKF5Prison.so.5: undefined reference to `ZXing::MultiFormatWriter::encode(std::__cxx11::basic_string<wchar_t, std::char_traits<wchar_t>, std::allocator<wchar_t> > const&, int, int) const'

also kmime, akonadi-mime,akonadi-contacts, akonadi-calendar, ksmtp, kmailtransport (and others I most likely forgot), removed libetebase, rebuilding..

Offline

#4 2023-01-08 12:37:35

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 846
Website

Re: kdepim-runtime still has a dependency on non-existent package

so, rebuilt and pushed to stable, I really hope I didn't kill the rest of KDE in the process.. :-)

Offline

#5 2023-01-19 03:47:27

jghodd
Member
From: Jetersville, VA
Registered: 2019-07-14
Posts: 54

Re: kdepim-runtime still has a dependency on non-existent package

@abaumann - i'll let you know once it appears in my updates.

Offline

Board footer

Powered by FluxBB